> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://contentful.com/developers/docs/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/_mcp/server. # Delete a space DELETE https://api.contentful.com/spaces/{space_id} Deletes a space and all its resources — content types, entries, and assets. **This action cannot be undone.** Reference: https://contentful.com/developers/docs/references/content-management-api/spaces/delete-a-space ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `space_id` (string, required) — ID of the Space in form of a string ## Response ### 204 No Content - Request successful, no content returned ## Examples **SDK Code** ```android Android // Create the Contentful client. final CMAClient client = new CMAClient .Builder() .setAccessToken("") .setSpaceId("") .setEnvironmentId("") .build(); client .spaces() .async() .fetchOne( "", new CMACallback() { @Override protected void onSuccess(CMASpace space) { client .spaces() .async() .delete( space, new CMACallback() { @Override protected void onSuccess(Integer result) { // Deleted. new AlertDialog.Builder(context) .setTitle("Contentful") .setMessage("Deletion of a space was successful." + "\n\nResult: " + result) .show(); } @Override protected void onFailure(RuntimeException exception) { // An error occurred! Inform the user. new AlertDialog.Builder(context) .setTitle("Contentful Error") .setMessage("Could not delete that space." + "\n\nReason: " + exception.toString()) .show(); super.onFailure(exception); } } ); } @Override protected void onFailure(RuntimeException exception) { // An error occurred! Inform the user. new AlertDialog.Builder(context) .setTitle("Contentful Error") .setMessage("Could not fetch that space." + "\n\nReason: " + exception.toString()) .show(); super.onFailure(exception); } } ); ``` ```java Java // Create the Contentful client. final CMAClient client = new CMAClient .Builder() .setAccessToken("") .setSpaceId("") .setEnvironmentId("") .build(); final CMASpace space = client .spaces() .fetchOne(""); client .spaces() .delete(space); ``` ```kotlin Kotlin // Create the Contentful client. val client = CMAClient.Builder() .setAccessToken("") .setSpaceId("") .setEnvironmentId("") .build() val space = client .spaces() .fetchOne("") client .spaces() .delete(space) ``` ```swift Swift We currently don't provide a CMA SDK for this platform. ``` ```js-legacy JavaScript (legacy) import { createClient } from 'contentful-management' const client = createClient({ accessToken: '' }, { type: 'legacy' }) client.getSpace('') .then((space) => space.delete()) .then(() => console.log('Space deleted.')) .catch(console.error) ``` ```javascript JavaScript import { createClient } from 'contentful-management' // Client init const client = contentful.createClient({ accessToken: '' }) await client.space.delete({ spaceId: '', }); ``` ```php PHP $client = new \Contentful\Management\Client(''); $space = $client->getSpace(''); $space->delete(); ``` ```ruby Ruby require 'contentful/management' client = Contentful::Management::Client.new('') space = client.spaces.find('') space.destroy ``` ```python Python from contentful_management import Client client = Client('') client.spaces().delete('') # Alternatively, with an already fetched space: space = client.spaces().find('') space.delete() ``` ```.net .NET // This client should only be created once per application. var httpClient = new HttpClient(); var client = new ContentfulManagementClient(httpClient, "", ""); await client.DeleteSpace(""); ```